Skip to main content
GET
This feature is in public preview and available only on Standard and Enterprise plans.

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Path Parameters

id
string
required
Required string length: 1 - 1000

Response

Details of the import operation

The model for an import operation.

id
string

Unique identifier for the import operation.

Required string length: 1 - 1000
Example:

"101"

uri
string

The URI from where the data is imported.

status
enum<string>

The status of the operation.

Available options:
Pending,
InProgress,
Failed,
Completed,
Cancelled
Example:

"Pending"

createdAt
string<date-time>

The start time of the import operation.

finishedAt
string<date-time>

The end time of the import operation.

percentComplete
number<float>

The progress made by the operation, as a percentage.

Required range: 0 <= x <= 100
Example:

42.2

recordsImported
integer<int64>

The number of records successfully imported.

Example:

1000000

error
string

The error message if the import process failed.